#39 Map screenshot crashes xqf (new)

closed-invalid
Ludwig Nussel
None
5
2008-05-04
2008-04-24
Anonymous
No

When clicking on a map name,
that is already checked by Xqf
(no red line),
Xqf crashes.

System
Mandriva 2008.0
Mandriva 2008.1
Xqf 1.0.5-3mdv2008.0 (see below)
Xqf 1.0.5-4mdv2009.0 (see attached file)

Terminal output:

[nikos@localhost ~]$ xqf
xqf: Symbol `GeoIP_country_name' has different size in shared object, consider re-linking
xqf: Symbol `GeoIP_country_code' has different size in shared object, consider re-linking
*** glibc detected *** xqf: munmap_chunk(): invalid pointer: 0x082c5660 ***
======= Backtrace: =========
/lib/i686/libc.so.6(cfree+0x1bb)[0xb7784c1b]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0xb78ac7e1]
======= Memory map: ========
08048000-080c0000 r-xp 00000000 03:06 752457 /usr/bin/xqf
080c0000-080c7000 rw-p 00078000 03:06 752457 /usr/bin/xqf
080c7000-082f5000 rw-p 080c7000 00:00 0 [heap]
b6a4a000-b6c8b000 rw-p b6a4a000 00:00 0
b6c8b000-b6cac000 r-xp 00000000 03:06 947846 /usr/lib/libjpeg.so.62.0.0
b6cac000-b6cad000 rw-p 00020000 03:06 947846 /usr/lib/libjpeg.so.62.0.0
b6cc9000-b6ccd000 r-xp 00000000 03:06 817786 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so
b6ccd000-b6cce000 rw-p 00003000 03:06 817786 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so
b6cce000-b6d04000 rw-p b6cce000 00:00 0
b6d05000-b6d65000 rw-s 00000000 00:08 68583432 /SYSV00000000 (deleted)
b6d65000-b6e69000 rw-p b6d65000 00:00 0
b6e69000-b6e6b000 r-xp 00000000 03:06 996143 /usr/lib/gconv/ISO8859-7.so
b6e6b000-b6e6c000 r--p 00001000 03:06 996143 /usr/lib/gconv/ISO8859-7.so
b6e6c000-b6e6d000 rw-p 00002000 03:06 996143 /usr/lib/gconv/ISO8859-7.so
b6e6d000-b6efe000 r--p 00000000 03:06 814439 /usr/share/fonts/TTF/dejavu/DejaVuSans.ttf
b6efe000-b6f04000 r--s 00000000 03:06 472644 /var/cache/fontconfig/20b58f14c9b581391d79ea335a81488a-x86.cache-2
b6f04000-b6f07000 r--s 00000000 03:06 472636 /var/cache/fontconfig/c59da4255e67c0866a9890836123dfcc-x86.cache-2
b6f07000-b6f0a000 r--s 00000000 03:06 473838 /var/cache/fontconfig/e6845615947634e89d319e77806483ba-x86.cache-2
b6f0a000-b6f0b000 r--s 00000000 03:06 473641 /var/cache/fontconfig/6eb346f9b8f2132fcb400f1098743b63-x86.cache-2
b6f0b000-b6f11000 r--s 00000000 03:06 476529 /var/cache/fontconfig/d4b6e1db2c46a3b281c413657cd2bc49-x86.cache-2
b6f11000-b6f28000 r--s 00000000 03:06 472723 /var/cache/fontconfig/626a59d8387f19407d6cd3b52ff5fe89-x86.cache-2
b6f28000-b6f2f000 r--s 00000000 03:06 472654 /var/cache/fontconfig/e6e6f57a2b649f39b3e61a25f07c3ced-x86.cache-2
b6f2f000-b6f3d000 r--s 00000000 03:06 472649 /var/cache/fontconfig/c60f852a0cb2d1fb4a0983150b677c72-x86.cache-2
b6f3d000-b6f3f000 r--s 00000000 03:06 473320 /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-x86.cache-2
b6f3f000-b6f45000 r--s 00000000 03:06 472807 /var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-x86.cache-2
b6f45000-b6f48000 r--s 00000000 03:06 473615 /var/cache/fontconfig/5d999c1bbe32f61af008974facb58b71-x86.cache-2
b6f48000-b6f4a000 r--s 00000000 03:06 477040 /var/cache/fontconfig/54c1e18aebbedcfe0b7e9af239200de0-x86.cache-2
b6f4a000-b6f4c000 r--s 00000000 03:06 472642 /var/cache/fontconfig/c2d8b2eff8efe1b2f2cfe7c403e09295-x86.cache-2
b6f4c000-b6f53000 r--s 00000000 03:06 472603 /var/cache/fontconfig/79aeb4e90a401e55ec91db207072ba77-x86.cache-2
b6f53000-b6f57000 r--s 00000000 03:06 477127 /var/cache/fontconfig/a8d72120365d3c99b9746ee16d82622a-x86.cache-2
b6f57000-b6f5a000 r--s 00000000 03:06 477132 /var/cache/fontconfig/05be9bd711357ffabbd067d8b8f72766-x86.cache-2
b6f5a000-b6f6a000 r--s 00000000 03:06 472981 /var/cache/fontconfig/8d4af663993b81a124ee82e610bb31f9-x86.cache-2
b6f6a000-b6f6d000 r--s 00000000 03:06 475169 /var/cache/fontconfig/43759d6532d7c8fa2377cba0d6368316-x86.cache-2
b6f6d000-b6f76000 r--s 00000000 03:06 477779 /var/cache/fontconfig/f6b893a7224233d96cb72fd88691c0b4-x86.cache-2
b6f76000-b6fbc000 r--s 00000000 03:06 473643 /var/cache/fontconfig/17090aa38d5c6f09fb8c5c354938f1d7-x86.cache-2
b6fbc000-b7002000 r--s 00000000 03:06 473642 /var/cache/fontconfig/df311e82a1a24c41a75c2c930223552e-x86.cache-2
b7002000-b7062000 rw-s 00000000 00:08 68550663 /SYSV00000000 (deleted)
b7062000-b7076000 r--p 00000000 03:06 912191 /usr/share/locale/el/LC_MESSAGES/libc.mo
b7076000-b7087000 r-xp 00000000 03:06 489454 /usr/lib/gtk-2.0/2.10.0/engines/libia_ora.so
b7087000-b7088000 rw-p 00010000 03:06 489454 /usr/lib/gtk-2.0/2.10.0/engines/libia_ora.so
b7088000-b708c000 r--p 00000000 03:06 912130 /usr/share/locale/el/LC_MESSAGES/xqf.mo
b708c000-b70b6000 r--p 00000000 03:06 913966 /usr/share/locale/el/LC_MESSAGES/gtk20-properties.mo
b70b6000-b70bf000 r-xp 00000000 03:06 151509 /lib/libnss_files-2.7.so
b70bf000-b70c0000 r--p 00008000 03:06 151509 /lib/libnss_files-2.7.so
b70c0000-b70c1000 rw-p 00009000 03:06 151509 /lib/libnss_files-2.7.so
b70c1000-b70c5000 r-xp 00000000 03:06 818054 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
b70c5000-b70c6000 rw-p 00003000 03:06 818054 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
b70c6000-b70c8000 r-xp 00000000 03:06 1123933 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
b70c8000-b70c9000 rw-p 00001000 03:06 1123933 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
b70c9000-b70dd000 r--p 00000000 03:06 913972 /usr/share/locale/el/LC_MESSAGES/gtk20.mo
b70dd000-b711c000 r--p 00000000 03:06 898659 /usr/share/locale/UTF-8/LC_CTYPE
b711c000-b7200000 r--p 00000000 03:06 898657 /usr/share/locale/UTF-8/LC_COLLATE
b7200000-b7202000 rw-p b7200000 00:00 0
b7202000-b7207000 r-xp 00000000 03:06 1681691 /usr/lib/libXdmcp.so.6.0.0
b7207000-b7208000 rw-p 00004000 03:06 1681691 /usr/lib/libXdmcp.so.6.0.0
b7208000-b720a000 r-xp 00000000 03:06 947569 /usr/lib/libXau.so.6.0.0
b720a000-b720b000 rw-p 00001000 03:06 947569 /usr/lib/libXau.so.6.0.0
b720b000-b720c000 rw-p b720b000 00:00 0
b720c000-b733c000 r-xp 00000000 03:06 947422 /usr/lib/libxml2.so.2.6.31
b733c000-b7341000 rw-p 0012f000 03:06 947422 /usr/lib/libxml2.so.2.6.31
b7341000-b7342000 rw-p b7341000 00:00 0
b7342000-b735e000 r-xp 00000000 03:06 949405 /usr/lib/libxcb.so.1.0.0
b735e000-b735f000 rw-p 0001b000 03:06 949405 /usr/lib/libxcb.so.1.0.0
b735f000-b7360000 r-xp 00000000 03:06 949279 /usr/lib/libxcb-xlib.so.0.0.0
b7360000-b7361000 rw-p 00000000 03:06 949279 /usr/lib/libxcb-xlib.so.0.0.0
b7361000-b7388000 r-xp 00000000 03:06 147469 /lib/libpcre.so.0.0.1
b7388000-b7389000 rw-p 00026000 03:06 147469 /lib/libpcre.so.0.0.1
b7389000-b7394000 r-xp 00000000 03:06 146651 /lib/libgcc_s-4.2.3.so.1
b7394000-b7395000 rw-p 0000a000 03:06 146651 /lib/libgcc_s-4.2.3.so.1
b7395000-b7396000 rw-p b7395000 00:00 0
b7396000-b7479000 r-xp 00000000 03:06 946773 /usr/lib/libstdc++.so.6.0.9
b7479000-b747d000 r--p 000e2000 03:06 946773 /usr/lib/libstdc++.so.6.0.9
b747d000-b747e000 rw-p 000e6000 03:06 946773 /usr/lib/libstdc++.so.6.0.9
b747e000-b7484000 rw-p b747e000 00:00 0
b7484000-b74b2000 r-xp 00000000 03:06 949622 /usr/lib/libpixman-1.so.0.10.0
b74b2000-b74b3000 rw-p 0002e000 03:06 949622 /usr/lib/libpixman-1.so.0.10.0
b74b3000-b74dc000 r-xp 00000000 03:06 949416 /usr/lib/libpng12.so.0.25.0
b74dc000-b74dd000 rw-p 00028000 03:06 949416 /usr/lib/libpng12.so.0.25.0
b74dd000-b7554000 r-xp 00000000 03:06 945753 /usr/lib/libfreetype.so.6.3.16
b7554000-b7558000 rw-p 00076000 03:06 945753 /usr/lib/libfreetype.so.6.3.16
b7558000-b7582000 r-xp 00000000 03:06 949874 /usr/lib/libpangoft2-1.0.so.0.2000.0
b7582000-b7583000 rw-p 00029000 03:06 949874 /usr/lib/libpangoft2-1.0.so.0.2000.0
b7583000-b7584000 rw-p b7583000 00:00 0
b7584000-b758d000 r-xp 00000000 03:06 949617 /usr/lib/libXcursor.so.1.0.2
b758d000-b758e000 rw-p 00008000 03:06 949617 /usr/lib/libXcursor.so.1.0.2
b758e000-b7594000 r-xp 00000000 03:06 947566 /usr/lib/libXrandr.so.2.1.0
b7594000-b7595000 rw-p 00005000 03:06 947566 /usr/lib/libXrandr.so.2.1.0
b7595000-b759d000 r-xp 00000000 03:06 947595 /usr/lib/libXi.so.6.0.0
b759d000-b759e000 rw-p 00007000 03:06 947595 /usr/lib/libXi.so.6.0.0
b759e000-b75a0000 r-xp 00000000 03:06 946568 /usr/lib/libXinerama.so.1.0.0
b75a0000-b75a1000 rw-p 00001000 03:06 946568 /usr/lib/libXinerama.so.1.0.0
b75a1000-b75a9000 r-xp 00000000 03:06 947864 /usr/lib/libXrender.so.1.3.0
b75a9000-b75aa000 rw-p 00007000 03:06 947864 /usr/lib/libXrender.so.1.3.0
b75aa000-b75ab000 rw-p b75aa000 00:00 0
b75ab000-b75ba000 r-xp 00000000 03:06 947570 /usr/lib/libXext.so.6.4.0
b75ba000-b75bb000 rw-p 0000e000 03:06 947570 /usr/lib/libXext.so.6.4.0
b75bb000-b75e8000 r-xp 00000000 03:06 947946 /usr/lib/libfontconfig.so.1.3.0
b75e8000-b75e9000 rw-p 0002d000 03:06 947946 /usr/lib/libfontconfig.so.1.3.0
b75e9000-b760c000 r-xp 00000000 03:06 151477 /lib/i686/libm-2.7.so
b760c000-b760d000 r--p 00023000 03:06 151477 /lib/i686/libm-2.7.so
b760d000-b760e000 rw-p 00024000 03:06 151477 /lib/i686/libm-2.7.so
b760e000-b7612000 r-xp 00000000 03:06 948320 /usr/lib/libXfixes.so.3.1.0
b7612000-b7613000 rw-p 00003000 03:06 948320 /usr/lib/libXfixes.so.3.1.0
b7613000-b7615000 r-xp 00000000 03:06 947563 /usr/lib/libXdamage.so.1.1.0
b7615000-b7616000 rw-p 00001000 03:06 947563 /usr/lib/libXdamage.so.1.1.0
b7616000-b7617000 rw-p b7616000 00:00 0
b7617000-b7619000 r-xp 00000000 03:06 947582 /usr/lib/libXcomposite.so.1.0.0
b7619000-b761a000 rw-p 00001000 03:06 947582 /usr/lib/libXcomposite.so.1.0.0
b761a000-b7714000 r-xp 00000000 03:06 946736 /usr/lib/libX11.so.6.2.0
b7714000-b7718000 rw-p 000f9000 03:06 946736 /usr/lib/libX11.so.6.2.0
b7718000-b7856000 r-xp 00000000 03:06 148985 /lib/i686/libc-2.7.so
b7856000-b7858000 r--p 0013e000 03:06 148985 /lib/i686/libc-2.7.so
b7858000-b7859000 rw-p 00140000 03:06 148985 /lib/i686/libc-2.7.so
b7859000-b785c000 rw-p b7859000 00:00 0
b785c000-b786e000 r-xp 00000000 03:06 148931 /lib/libz.so.1.2.3
b786e000-b786f000 rw-p 00012000 03:06 148931 /lib/libz.so.1.2.3
b786f000-b7929000 r-xp 00000000 03:06 948069 /usr/lib/libglib-2.0.so.0.1600.2
b7929000-b792a000 rw-p 000b9000 03:06 948069 /usr/lib/libglib-2.0.so.0.1600.2
b792a000-b792c000 r-xp 00000000 03:06 151499 /lib/libdl-2.7.so
b792c000-b792d000 r--p 00001000 03:06 151499 /lib/libdl-2.7.so
b792d000-b792e000 rw-p 00002000 03:06 151499 /lib/libdl-2.7.so
b792e000-b7931000 r-xp 00000000 03:06 948106 /usr/lib/libgmodule-2.0.so.0.1600.2
b7931000-b7932000 rw-p 00002000 03:06 948106 /usr/lib/libgmodule-2.0.so.0.1600.2
b7932000-b7933000 rw-p b7932000 00:00 0
b7933000-b7972000 r-xp 00000000 03:06 948109 /usr/lib/libgobject-2.0.so.0.1600.2
b7972000-b7973000 rw-p 0003f000 03:06 948109 /usr/lib/libgobject-2.0.so.0.1600.2
b7973000-b798c000 r-xp 00000000 03:06 947948 /usr/lib/libgdk_pixbuf-2.0.so.0.1200.9
b798c000-b798d000 rw-p 00018000 03:06 947948 /usr/lib/libgdk_pixbuf-2.0.so.0.1200.9
b798d000-b799c000 r-xp 00000000 03:06 949620 /usr/lib/libgdk_pixbuf_xlib-2.0.so.0.1200.9
b799c000-b799d000 rw-p 0000e000 03:06 949620 /usr/lib/libgdk_pixbuf_xlib-2.0.so.0.1200.9
b799d000-b7a0a000 r-xp 00000000 03:06 947847 /usr/lib/libcairo.so.2.17.0
b7a0a000-b7a0c000 rw-p 0006d000 03:06 947847 /usr/lib/libcairo.so.2.17.0
b7a0c000-b7a4b000 r-xp 00000000 03:06 947583 /usr/lib/libpango-1.0.so.0.2000.0
b7a4b000-b7a4d000 rw-p 0003f000 03:06 947583 /usr/lib/libpango-1.0.so.0.2000.0
b7a4d000-b7a4e000 rw-p b7a4d000 00:00 0
b7a4e000-b7a57000 r-xp 00000000 03:06 949757 /usr/lib/libpangocairo-1.0.so.0.2000.0
b7a57000-b7a58000 rw-p 00008000 03:06 949757 /usr/lib/libpangocairo-1.0.so.0.2000.0
b7a58000-b7a72000 r-xp 00000000 03:06 949625 /usr/lib/libatk-1.0.so.0.2209.1
b7a72000-b7a74000 rw-p 0001a000 03:06 949625 /usr/lib/libatk-1.0.so.0.2209.1
b7a74000-b7b01000 r-xp 00000000 03:06 947871 /usr/lib/libgdk-x11-2.0.so.0.1200.9
b7b01000-b7b04000 rw-p 0008c000 03:06 947871 /usr/lib/libgdk-x11-2.0.so.0.1200.9
b7b04000-b7ecb000 r-xp 00000000 03:06 950442 /usr/lib/libgtk-x11-2.0.so.0.1200.9
b7ecb000-b7ed1000 rw-p 003c7000 03:06 950442 /usr/lib/libgtk-x11-2.0.so.0.1200.9
b7ed1000-b7ed2000 rw-p b7ed1000 00:00 0
b7ed2000-b7efa000 r-xp 00000000 03:06 948452 /usr/lib/libGeoIP.so.1.4.4
b7efa000-b7efb000 rw-p 00027000 03:06 948452 /usr/lib/libGeoIP.so.1.4.4
b7efd000-b7efe000 r--s 00000000 03:06 477125 /var/cache/fontconfig/ff240f9f322423952afb0acdf5235e2a-x86.cache-2
b7efe000-b7f04000 r-xp 00000000 03:06 818506 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
b7f04000-b7f05000 rw-p 00005000 03:06 818506 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
b7f05000-b7f06000 rw-p b7f05000 00:00 0
b7f06000-b7f07000 r--p 00000000 03:06 912872 /usr/share/locale/el_GR.UTF-8/LC_NUMERIC
b7f07000-b7f08000 r--p 00000000 03:06 912909 /usr/share/locale/el_GR.UTF-8/LC_TIME
b7f08000-b7f09000 r--p 00000000 03:06 912899 /usr/share/locale/el_GR.UTF-8/LC_MONETARY
b7f09000-b7f0a000 r--p 00000000 03:06 912866 /usr/share/locale/el_GR.UTF-8/ C_MESSAGES/SYS_LC_MESSAGES
b7f0a000-b7f0b000 r--p 00000000 03:06 912871 /usr/share/locale/el_GR.UTF-8/ C_PAPER
b7f0b000-b7f0c000 r--p 00000000 03:06 912868 /usr/share/locale/el_GR.UTF-8/ C_NAME
b7f0c000-b7f0d000 r--p 00000000 03:06 912830 /usr/share/locale/el_GR.UTF-8/ C_ADDRESS
b7f0d000-b7f0e000 r--p 00000000 03:06 912900 /usr/share/locale/el_GR.UTF-8/ C_TELEPHONE
b7f0e000-b7f0f000 r--p 00000000 03:06 912865 /usr/share/locale/el_GR.UTF-8/ C_MEASUREMENT
b7f0f000-b7f16000 r--s 00000000 03:06 996527 /usr/lib/gconv/gconv-modules.c che
b7f16000-b7f17000 r--p 00000000 03:06 912898 /usr/share/locale/el_GR.UTF-8/ C_IDENTIFICATION
b7f17000-b7f18000 rw-p b7f17000 00:00 0
b7f18000-b7f32000 r-xp 00000000 03:06 151486 /lib/ld-2.7.so
b7f32000-b7f33000 r--p 00019000 03:06 151486 /lib/ld-2.7.so
b7f33000-b7f34000 rw-p 0001a000 03:06 151486 /lib/ld-2.7.so
bfd02000-bfd17000 rw-p bfd02000 00:00 0 [stack]
ffffe000-fffff000 r-xp 00000000 00:00 0 [vdso]
Ακυρώθηκε

Discussion

  • Backtrace

     
    Attachments
  • Ludwig Nussel
    Ludwig Nussel
    2008-04-25

    Logged In: YES
    user_id=333900
    Originator: NO

    Looks like it crashes in libjpeg. Are you sure you have all security updates installed?
    If so, which game and map is it? If it's not a standard map, can I download it somewhere?

     
  • Ludwig Nussel
    Ludwig Nussel
    2008-04-25

    • assigned_to: nobody --> l-n
     
  • Logged In: NO

    All the latest updates from Mandriva are installed.
    The game, in this case, is Tremulous (in any map).
    I don't think that the game makes any difference.
    It used to crash on Wolfenstein ET, as well,
    but I uninstalled that game a few months ago.

    The previous no-gtk version worked fine (I think it was in Mandriva 2007.1).
    The problem appeared when I updated to the gtk-version.
    A long time ago, that is...

     
  • Ludwig Nussel
    Ludwig Nussel
    2008-05-04

    • status: open --> closed-invalid
     
  • Ludwig Nussel
    Ludwig Nussel
    2008-05-04

    Logged In: YES
    user_id=333900
    Originator: NO

    There are two bugs:
    1. gdk-pixbuf has a bug wrt dealing with jpegs, see http://bugzilla.gnome.org/show_bug.cgi?id=494667
    2. your libjpeg crashes. It should return an error instead.

    I can't fix either issue in xqf. You need to file a bug at Mandriva so they can decide whether to release fixed gtk and libjpeg packages.